Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Dataset Service
- createOrUpdateDatasetRegistry
getDatasetRegistry
getDatasetRegistry
createOrUpdateDatasetRegi...
This API registers dataset metadata record for a file that is already uploaded. The Metadata is linked to the file via FileSource provided in the request body.
If FileSource attribute is missing in the request body or there is no file present, then the request fails with an error.
When metadata is successfully updated in the system, it returns the Id of the file metadata record.
(Simillar to POST /metadata endpoint in File service).
Required roles: 'service.storage.creator or service.storage.admin'
Security
bearer
datasetRegistriesArray of objects(Record)
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/dataset/v1/registerDataset
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-dataset-service/registerDataset
curl -i -X PUT \
https://as5.api.enterprisedata.slb.com/api/dataset/v1/registerDataset \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"datasetRegistries": [
{
"acl": {
"owners": [
"string"
],
"viewers": [
"string"
]
},
"ancestry": {
"parents": [
"string"
]
},
"data": {
"ExtensionProperties": {
"Name": "File",
"Classification": "Raw File",
"Description": "An text further describing this file example.",
"ExternalIds": [
"string"
],
"FileDateCreated": "2013-03-22 11:16:03+00:00",
"FileDateModified": "2013-03-22 11:16:03+00:00",
"FileContentsDetails": {
"TargetKind": "os:npd:wellbore:1:*.*",
"FileType": "csv",
"FrameOfReference": [
{
"kind": "CRS",
"name": "[\"NAD27 * OGP-Usa Conus / North Dakota South [32021,15851]\",\"ft\"]",
"persistableReference": "{\"scaleOffset\":{\"scale\":0.3048006096012192,\"offset\":0.0},\"symbol\":\"ftUS\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}",
"propertyNames": [
"elevationFromMsl",
"\"totalDepthMdDriller",
"wellHeadProjected"
],
"propertyValues": [
"F",
"ftUS",
"deg"
],
"uncertainty": 0,
"property1": {},
"property2": {}
}
],
"ParentReference": "CSBE0417"
}
},
"Name": "string",
"Description": "string",
"TotalSize": "string",
"EncodingFormatTypeID": "string",
"SchemaFormatTypeID": "string",
"Endian": "BIG",
"DatasetProperties": {
"FileSourceInfo": {
"Name": "string",
"FileSource": "string",
"PreloadFileCreateUser": "string",
"PreloadFileCreateDate": "string",
"PreloadFileModifyUser": "string",
"PreloadFileModifyDate": "string",
"FileSize": "string",
"EncodingFormatTypeID": "string",
"Checksum": "string",
"ChecksumAlgorithm": "string"
}
},
"Checksum": "string",
"ResourceHomeRegionID": "string",
"ResourceHostRegionIDs": [
"string"
],
"ResourceCurationStatus": "string",
"ResourceLifecycleStatus": "string",
"ResourceSecurityClassification": "string",
"Source": "string",
"ExistenceKind": "string"
},
"id": "common:work-product-component--wellLog:123456",
"kind": "common:wks:work-product-component--wellLog:1.0.0",
"legal": {
"legaltags": [
"string"
],
"otherRelevantDataCountries": [
"string"
],
"status": "compliant"
},
"meta": [
{
"property1": {},
"property2": {}
}
],
"tags": {
"property1": "string",
"property2": "string"
},
"version": 0
}
]
}'Response
{ "datasetRegistries": [ { … } ] }